## pure-csv-1.6.tar.gz

=== Makefile ===

# Package name and version number:
dist = pure-csv-$(version)
version = 1.6

# compiler flags -- these can be overridden from the command line if needed,
# as well as CPPFLAGS, LDFLAGS and LIBS
CFLAGS = -O3
#CFLAGS = -g -O2

# platform-specific setup

DLL         = $(shell pkg-config pure --variable DLL)
PIC         = $(shell pkg-config pure --variable PIC)
shared      = $(shell pkg-config pure --variable shared)

prefix      = $(shell pkg-config pure --variable prefix)
bindir      = $(prefix)/bin
libdir      = $(shell pkg-config pure --variable libdir)

ifeq ($(DLL),.dylib)
# OSX: hardcode the installation path into the module, so that the module can
# be linked in by the batch compiler.
dllname = -install_name "$(libdir)/pure/$@"
endif

MOD_CFLAGS  = $(PIC) $(shell pkg-config pure --cflags) $(CFLAGS) $(CPPFLAGS)
MOD_LDFLAGS = $(shell pkg-config pure --libs) $(LDFLAGS) $(LIBS)

DISTFILES = COPYING Makefile README config.guess csv.c csv.pure run-tests debian/* test/*
SEDFILES = README

all: csv$(DLL)

csv$(DLL): csv.c
	$(CC) $(shared) $(dllname) -o $@ $(MOD_CFLAGS) $< $(MOD_LDFLAGS)

clean:
	rm -Rf *$(DLL)* *~ *.a *.o

# documentation (this needs docutils)

rst2html = $(shell which rst2html 2>/dev/null || which rst2html.py 2>/dev/null || echo rst2html)
rst2latex = $(shell which rst2latex 2>/dev/null || which rst2latex.py 2>/dev/null || echo rst2latex)

html: pure-csv.html
latex: pure-csv.tex
pdf: pure-csv.pdf

pure-csv.html: README
	$(rst2html) $< $@

pure-csv.tex: README
	$(rst2latex) $< $@

pure-csv.pdf: pure-csv.tex
	pdflatex $<
	pdflatex $<
	rm -r *.aux *.log *.out

install:
	test -d "$(DESTDIR)$(libdir)/pure" || mkdir -p "$(DESTDIR)$(libdir)/pure"
	cp csv.pure csv$(DLL) "$(DESTDIR)$(libdir)/pure"

uninstall:
	rm -f "$(DESTDIR)$(libdir)/pure/csv.pure" "$(DESTDIR)$(libdir)/pure/csv$(DLL)"

date = $(shell date "+%B %-d, %Y")
datesubst = sed -e "s?@version@?$(version)?g" -e "s?|today|?$(date)?g" < $(1) > $(2)

dist:
	rm -rf $(dist)
	mkdir $(dist) && mkdir $(dist)/debian && mkdir $(dist)/test
	for x in $(DISTFILES); do ln -sf $$PWD/$$x $(dist)/$$x; done
	for x in $(SEDFILES); do rm -f $(dist)/$$x; $(call datesubst,$$PWD/$$x,$(dist)/$$x); done
	rm -f $(dist).tar.gz
	tar cfzh $(dist).tar.gz $(dist)
	rm -rf $(dist)

distcheck: dist
	tar xfz $(dist).tar.gz
	cd $(dist) && make && make check && make install DESTDIR=./BUILD
	rm -rf $(dist)

debsrc = $(shell echo $(dist) | sed -e 's/-$(version)/_$(version)/').orig.tar.gz

deb: $(debsrc) dist
	tar xfz $(dist).tar.gz
	cd $(dist) && debuild $(DEBUILD_FLAGS)
	rm -rf $(dist)

$(debsrc):
	wget -nv https://bitbucket.org/purelang/pure-lang/downloads/$(dist).tar.gz -O $@

# Examples and tests.

testdir = test
tests = $(wildcard $(testdir)/*.pure)
logs = $(patsubst %.pure, %.log, $(tests))

check:
	./run-tests

cleanlogs:
	rm -f $(logs)

logs: $(logs)

%.log: %.pure csv.pure csv$(DLL)
	(cd $(testdir) && pure -v -I.. -L.. < $(notdir $<) > $(notdir $@) 2>&1)

=== debian/changelog ===
pure-csv (1.5-3) natty; urgency=low

  * Latest upstream (rev. d4017d06994b)

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 22 May 2012 11:12:26 +0200

pure-csv (1.5-2) natty; urgency=low

  * Fixed missing dependency

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 21 May 2012 14:42:40 +0200

pure-csv (1.5-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 21 May 2012 13:55:27 +0200

=== debian/control ===
Source: pure-csv
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org
#Vcs-Git: git://git.debian.org/collab-maint/pure-csv.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/pure-csv.git;a=summary

Package: pure-csv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CSV interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a module for working with the CSV (comma
 separated value) format in Pure.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php pure-csv-(.*)\.tar\.gz

# Uncomment to examine a Webserver directory
https://bitbucket.org/purelang/pure-lang/downloads/pure-csv-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/pure-csv-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/pure-csv/pure-csv-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html pure-csv-(.*)\.tar\.gz
